#ifndef __DETECT_STEP_BY_MAG_H__
#define __DETECT_STEP_BY_MAG_H__

#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"
#include "nrf_gpio.h"



//uint8_t detect_step_by_mag(int16_t *mag);
uint8_t detect_step_by_mag(int16_t *mag, int16_t acc_z);
uint8_t RealTimeStep(int16_t front[3], int16_t back[3], int16_t acc[3]);
int16_t Get_ShoeTouchFlag(void);
int16_t Get_Rcounter(void);
int16_t Get_Tcounter(void);
int16_t Get_FKEY(void);
int16_t Get_BKEY(void);
int32_t Get_RealFrontLiftPoint(void);
int32_t Get_RealBackLiftPoint(void);
void ClearRealTimeStep();
static int FrontLiftPoint;
static int FrontDropPoint;
static int BackLiftPoint;
static int BackDropPoint;
static int calculate_flag;
static int16_t Ucounter=0;
static int16_t ShoeTouchFlag=1;
static int16_t Rcounter=0;
static int16_t FKEY=0;
static int16_t BKEY=0;
static uint8_t acc_index;
static uint8_t mag_index_front;
static uint8_t mag_index_back;
static int FrontLiftDistance;
static int BackLiftDistance;
static int Lock=0;


#endif
